import { SupportedValueTypes, ValueTransformationSchema } from './types';
export declare const createValueTransformationSchema: <T extends SupportedValueTypes>(type: string, defaultValue: T, isValid: (value: unknown) => boolean, shouldRaiseRemark?: (value: unknown) => boolean) => (overridableDefaultValue?: T) => ValueTransformationSchema<T>;
export declare const createValueTransformationSchemaForOptionalValue: <T extends SupportedValueTypes>(type: string, isValid: (value: unknown) => boolean) => (overridableDefaultValue?: T | undefined) => ValueTransformationSchema<T | undefined>;
export declare const createSilentValueTransformationSchema: <T extends SupportedValueTypes>(defaultValue: T, isValid: (value: unknown) => boolean) => (overridableDefaultValue?: T) => ValueTransformationSchema<T>;
export declare const requiredStringSchema: (overridableDefaultValue?: string) => ValueTransformationSchema<string>;
export declare const silentRequiredStringSchema: (overridableDefaultValue?: string) => ValueTransformationSchema<string>;
export declare const optionalStringSchema: (overridableDefaultValue?: string | undefined) => ValueTransformationSchema<string | undefined>;
export declare const requiredNumberSchema: (overridableDefaultValue?: number) => ValueTransformationSchema<number>;
export declare const silentRequiredNumberSchema: (overridableDefaultValue?: number) => ValueTransformationSchema<number>;
export declare const optionalNumberSchema: (overridableDefaultValue?: number | undefined) => ValueTransformationSchema<number | undefined>;
export declare const requiredBooleanSchema: (overridableDefaultValue?: boolean) => ValueTransformationSchema<boolean>;
export declare const silentRequiredBooleanSchema: (overridableDefaultValue?: boolean) => ValueTransformationSchema<boolean>;
export declare const optionalBooleanSchema: (overridableDefaultValue?: boolean | undefined) => ValueTransformationSchema<boolean | undefined>;
export declare const requiredDateSchema: (overridableDefaultValue?: string) => ValueTransformationSchema<string>;
export declare const optionalDateSchema: (overridableDefaultValue?: string | undefined) => ValueTransformationSchema<string | undefined>;
export declare const requiredTimeSchema: (overridableDefaultValue?: string) => ValueTransformationSchema<string>;
export declare const optionalTimeSchema: (overridableDefaultValue?: string | undefined) => ValueTransformationSchema<string | undefined>;
export declare const requiredIsoDateTimeSchema: (overridableDefaultValue?: string) => ValueTransformationSchema<string>;
export declare const optionalIsoDateTimeSchema: (overridableDefaultValue?: string | undefined) => ValueTransformationSchema<string | undefined>;
export declare const optionalColorStringSchema: (overridableDefaultValue?: string | undefined) => ValueTransformationSchema<string | undefined>;
export declare const requiredEnumSchema: <T extends SupportedValueTypes>(enumValues: readonly T[], defaultValue?: T) => ValueTransformationSchema<T>;
export declare const staticValueSchema: <T extends SupportedValueTypes>(staticValue: T) => ValueTransformationSchema<T>;
export declare const addStaticValueSchema: <T extends SupportedValueTypes>(staticValue: T) => ValueTransformationSchema<T>;
export declare const noTransformationSchema: ValueTransformationSchema<any>;
